UiPath Documentation
automation-cloud
latest
false

UiPath Automation Cloud API ガイド

最終更新日時 2026年5月5日

Bulk Resolve Directory Entities

Resolves multiple directory entities by their unique identifiers and types in a single request, based on the organization ID.

API エンドポイント

POST {accessURL}/{organizationName}/identity_/api/Directory/BulkResolve/{partitionGlobalId}

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud (公共部門向け)https://govcloud.uipath.us/
Automation Cloud (専有型)https://{customURL}.dedicated.uipath.com/

スコープ

次のスコープが必要です。

  • PM.Directory

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。

パス パラメーター

パス パラメーターデータ型説明
partitionGlobalId (必須)String (GUID)The ID of the organization to resolve the entities within.

要求本文

The request body specifies the entities to resolve. Each entity ID corresponds to the entity type at the same index.

{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}
{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}
プロパティデータ型説明
entityIds (必須)Array of stringsThe unique identifiers of the directory entities to resolve.
entityTypes (必須)Array of stringsThe types corresponding to each entity ID. Valid values: User, Group, Application. Must be the same length as entityIds.

応答

200 OK

Returns a dictionary mapping each entity identifier to its resolved directory entity. Entities that could not be resolved are returned as null.

{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}

400 Bad Request

Returned when entityIds and entityTypes have different lengths, or when required parameters are missing.

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

呼び出しは次の例のようになります (cURL)。

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}'

呼び出しが成功した場合、応答本文は次のようになります。

{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • パス パラメーター
  • 要求本文
  • 応答
  • 200 OK
  • 400 Bad Request
  • 要求の例

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得